
/****** HEADER MENU ******/

/********************
*** BLACK FRIDAY  ***
********************/
.blackfriday {
	font-weight: bold;
}


.navbar .navbar-collapse #menu-primary-menu .bold > a {
	padding: 0 15px 3px 15px;
	background-color: black;
	color: white;
}

@media (max-width: 1023px) {
.navbar .navbar-collapse #menu-primary-menu .bold > a {
        padding: 5px 15px 9px 15px;
}

    }


/********************/

/**********************************************
*** SUPPRESSION DES HOVER SUR MOBILE        ***
**********************************************/
@media (hover: hover) and (min-width: 1024px) {
  #menu-primary-menu li.sub-mega-menu:hover > .dropdown-menu {
    display: flex !important;
  }
}

/**********************************************
*** RUBRIQUE TRANSLATION - BENJAMIN GIBERT  ***
**********************************************/


.tool-item-language {
	display: flex;
    flex-direction: row;
    width: 80px;
    margin-left: 22px;
}

@media (max-width: 1023px) {
	.tool-item-language {
   		 margin-left: 0px;
	}
}

.language-icon {
	margin: auto;
	padding: 6px 0 0 0;
	color: #757575;
}

.navbar .navbar-collapse .navbar-tool .tool-item-language .language-icon .trp_language_switcher_shortcode .trp-language-switcher .trp-ls-shortcode-current-language .trp-ls-shortcode-disabled-language{
	margin-left: 0;
}


.trp_language_switcher_shortcode {
	width: 100px;
}

.trp-language-switcher {
	height: auto;
	width: 100px;
}
.trp-language-switcher-container {
	width: 100px;
}

.trp-ls-shortcode-current-language {
	width: 70px;
}
.trp-language-switcher .trp-ls-shortcode-language {
	border: none;
}
.trp-language-switcher .trp-ls-shortcode-current-language {
	border: none;
}

.navbar .navbar-collapse .navbar-tool a {
	text-align: left;
	cursor: pointer;
line-height: normal;
}
.trp-ls-shortcode-current-language .trp-ls-shortcode-disabled-language {
	font-weight: bold;

    margin-left: 0;
}

/*********************************************/



.navbar .navbar-brand img {
	object-fit: contain;
}

/********************/


.navbar.shrink {
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.1);
}

.navbar .full-container {
    width: 100vw;
    padding: 0 15px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}


/* ZONE SPÉCIALE EN TABLETTTE RESPONSIVE */

@media (min-width: 1024px) and (max-width: 1300px) {
	.navbar .full-container {
    		width: 100%;
    		padding: 0 15px;
    	display: flex;
	row-gap: 13px;
    	flex-direction: column;
    	align-items: center;
    	justify-content: space-between;
	}


}





.navbar .navbar-collapse {
    display: flex; 
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    padding: 80px 30px;
} 

.navbar .navbar-collapse {
    display: flex; 
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    flex-grow: unset;
    flex-basis: unset;
    padding-left: 1.5rem;
} 

.navbar .navbar-collapse #menu-primary-menu {
    gap: 0;
}

.navbar .navbar-collapse #menu-primary-menu li {
   /* position: relative;*/
    padding: 10px 0;
}

.navbar .navbar-collapse #menu-primary-menu li a {    
    color: black;
    font-family: 'GSN-Regular', sans-serif;
    font-size: 14px !important;
    padding: 5px 0 1px 0;
    transition: all .1s ease-out;
    line-height: 17px;
    border-bottom: 1px solid white;
    letter-spacing: 1px;
    white-space: nowrap;
	display: block;
margin-left: 15px;
}
.navbar .navbar-collapse #menu-primary-menu .bold > a {
    margin-left: 0;
}
/*.navbar .navbar-collapse #menu-primary-menu li:hover > a {
    border-bottom: 1px solid red;
}*/

.navbar .navbar-collapse .navbar-tool {
    width: 100%;
}

.navbar-tool--desktop, .navbar-tool--mobile {
flex-direction: row;
column-gap: 22px;
line-height: 1;
}
.navbar-tool--mobile i {
font-size: 19px;
display: flex;
flex-direction: column;
justify-content: center;
}
.cc-count {
    font-size: 14px;
    padding-left: 3px;
margin: 0;
font-weight: bolder
}


.navbar-tool--mobile .tool-item {
 display: flex;
flex-direction: column;
justify-content: center;
margin: auto;
}

.navbar-tool--mobile .tool-item a {
display: flex;
flex-direction: row;
}

.navbar-tool--rightsection {
display: flex;
flex-direction: row;
column-gap: 22px;

}

@media (max-width: 1023px) {
.navbar-tool--rightsection {
        width: 100%;
	flex-direction: row-reverse;
   	 justify-content: space-between;
}
}


.navbar .navbar-collapse .navbar-tool a {
    text-transform: uppercase;
    font-family: 'GSN-Regular', sans-serif;
    font-size: 14px !important;
    color: #757575;
    padding: 5px 0 1px 0;
    /* margin: 0 15px; */
    line-height: 17px;
    transition: all .1s ease-out;
    border-bottom: 1px solid white;
    letter-spacing: 1px;
}

.navbar .navbar-collapse .navbar-tool .tool-item {
    padding: 10px 0;
    display: block;
    text-align: right;
}

/*.navbar .navbar-collapse .navbar-tool a:hover {
    border-bottom: 1px solid #757575;
}*/





.navbar .navbar-collapse #menu-primary-menu li .dropdown-menu li {
    padding: 0;
}

.navbar .navbar-collapse #menu-primary-menu li .dropdown-menu li a {
    text-transform: Capitalize;
    padding: 5px 0 1px 0;
    font-size: 14px;
    line-height: 30px;
    transition: all .1s ease-out;
    border-bottom: 1px solid white;
    display: inline;
    color: black;
}

/*.navbar .navbar-collapse #menu-primary-menu li .dropdown-menu li:hover a {
    text-transform: Capitalize;
    /*border-bottom: 1px solid black;*/
/*}*/



.navbar-nav {
    align-items: flex-end;
    width: 100%
}

.navbar-tool .tool-item:hover > a {
    border-bottom: 1px solid #757575;
}

#menu-primary-menu li.sub-mega-menu .dropdown-menu .view-all-menu {
    margin-top: 0;
}

#menu-primary-menu li.sub-mega-menu .dropdown-menu .view-all-menu a.nav-link {
    text-transform: uppercase;
    /*font-weight: bold;*/
}

.--bold {
	font-weight: bold;
}

.navbar .navbar-collapse .navbar-tool .tool-item a:first-child {
    margin-left: 15px;
    display: block;
 }

@media (min-width: 768px) {  
    .navbar .full-container {
        padding: 0 30px;
    }
}

@media (min-width: 1024px) {
    .navbar .navbar-collapse .navbar-tool a:first-child {
        /* margin-left: 30px; */
		display: block;
     }
     
     .navbar .navbar-collapse .navbar-tool a:last-child {
         margin-right: 0;
     }
	
	.navbar-nav {
    padding-left: 0;
}

.navbar-tool--desktop {
display: flex;
}

.navbar-tool--mobile {
display: none;
}
     
     /* Sous Menu */
     .navbar .navbar-collapse #menu-primary-menu li .dropdown-menu {
         border: 0;
         box-shadow: 0 5px 8px 0 rgba(0, 0, 0, 0.1);
         padding: 20px 30px;
         top: 71px;
         min-width: 200px;
     }

    #menu-primary-menu li.level-up:hover > a.nav-link,
    #menu-primary-menu li.level-up.current-menu-parent > a.nav-link,
    #menu-primary-menu li.level-up.current-menu-parent .dropdown-menu li.current-menu-item > a.nav-link,
    #menu-primary-menu li.level-up.current-product_cat-ancestor .dropdown-menu li.current-menu-item > a.nav-link,
    #menu-primary-menu li.level-up.current-menu-ancestor > a.nav-link,
    #menu-primary-menu li.level-up.current-product_cat-parent > a.nav-link,
    #menu-primary-menu li.sub-mega-menu .dropdown-menu .column-item .dropdown-menu li.item-mega-menu li.item-mega-menu:hover > a.nav-link {
        border-bottom: 1px solid black;
    }
	#menu-primary-menu li.menu-item:hover > a.nav-link {
        border-bottom: 1px solid black;
    }
	

    
    .navbar .navbar-collapse {
        display: flex;
        flex-direction: row;
        column-gap: 25px;
        justify-content: flex-end;
        padding: 0;
        padding-left: 1.5rem;
    }
    .navbar .navbar-collapse .navbar-tool {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: flex-end;
    }

    .navbar .navbar-collapse .navbar-tool .tool-item {   	
        white-space: nowrap;
    }
    
    .navbar .navbar-collapse #menu-primary-menu {
        gap: 22px;
    }
    .navbar .full-container {
        padding: 0 50px;
    }


    
    /* Mega menu test */


    .sub-mega-menu > .dropdown-menu {   
        flex-direction: row;
        justify-content: flex-start;
        gap: 30px;
        position: absolute;
        left: 0;
        width: 100vw;
        top: 75px !important;
        height: 370px;
        background-color: white;
        padding: 25px 20% !important;
    }

    .navbar.shrink .sub-mega-menu > .dropdown-menu {
        top: 70px !important;
    }

 /*   .sub-mega-menu:hover > .dropdown-menu {
        display: flex !important;
    }*/

    .navbar .navbar-collapse #menu-primary-menu li.sub-mega-menu.current-menu-ancestor > a,
    .navbar .navbar-collapse #menu-primary-menu li.sub-mega-menu:hover > a,
    .navbar .navbar-collapse #menu-primary-menu li.sub-mega-menu.current-menu-ancestor > ul > li.column-item.current-menu-ancestor > ul > li.current-menu-item > a {
        border-bottom: 1px solid black;
        cursor: pointer;
    }

    #menu-primary-menu li.sub-mega-menu .dropdown-menu .column-item {
        flex-basis:33%;
    }

    #menu-primary-menu li.sub-mega-menu .dropdown-menu .column-item > a.nav-link {
        text-transform: uppercase !important;
        font-weight: bold;
        text-decoration: none;
        border-bottom: 0;        
    }
    
    #menu-primary-menu li.sub-mega-menu .dropdown-menu .column-item:not(.clickable) > a.nav-link {  
        cursor: initial;  
    }

    #menu-primary-menu li.sub-mega-menu .dropdown-menu .column-item .dropdown-menu {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        gap: 10px;
        box-shadow: none !important;
        top: 50px !important;
        padding: 20px 0;
		height: auto;
    }
}

@media (max-width: 1023px) {
    .navbar-nav {
        align-items: flex-start;
        width: 90%;
    }

/* création des collapses pour submenus en responsive mobile */

    .navbar .navbar-collapse .navbar-tool .tool-item {
        text-align: left;
margin-left: 15px;
    }
  .navbar .navbar-collapse .navbar-tool .tool-item-language {
        text-align: left;
margin-left: 15px;
    }    
   
    .navbar .navbar-collapse .navbar-tool a {
        font-size: 20px !important;
        margin-left: 0;
	line-height: normal;
    }

.navbar-tool--desktop {
display: none;
}

.navbar-tool--mobile {
display: flex;
}


.navbar .navbar-collapse .navbar-tool .tool-item a:first-child {
    margin-left: 0;
 }

.navbar .navbar-collapse {
    padding-left: 0;
} 

    .navbar .navbar-collapse #menu-primary-menu li a {
        font-size: 20px !important;
    }
	.navbar .navbar-collapse #menu-primary-menu li {
        font-size: 20px !important;
    }

    #menu-primary-menu li.level-up:hover > a.nav-link,
    #menu-primary-menu li.level-up.current-menu-parent > a.nav-link,
    #menu-primary-menu li.level-up.current-menu-parent .dropdown-menu li.current-menu-item > a.nav-link,
    #menu-primary-menu li.level-up.current-product_cat-ancestor .dropdown-menu li.current-menu-item > a.nav-link,
    #menu-primary-menu li.level-up.current-menu-ancestor > a.nav-link,
    #menu-primary-menu li.level-up.current-product_cat-parent > a.nav-link,
    #menu-primary-menu li.sub-mega-menu .dropdown-menu .column-item .dropdown-menu li.item-mega-menu:hover > a.nav-link {
        /*border-bottom: 1px solid red;*/
        text-align: left;
    }
    #menu-primary-menu li.sub-mega-menu.level-up {
         cursor: pointer;
         text-align: left;
         position: relative;
        display: block;
    }

    #menu-primary-menu li.sub-mega-menu.level-up > a:after {
	content:'\e912';
	font-family: 'icomoon';
        margin-left: 15px;
        position: relative;
        display: inline-block;          /* indispensable pour transform */
        transform: rotate(0deg);
        transition: transform .2s ease; /* animation douce */
        will-change: transform;
    }

 #menu-primary-menu li.sub-mega-menu.level-up.is-open > a:after {

transform: rotate(90deg);
    }

/*    #menu-primary-menu li.sub-mega-menu.level-up:hover > a:after {
        content:'\e911';
        font-family: 'icomoon';
        padding-left: 15px;
        position: relative;
    }*/


    .sub-mega-menu > .dropdown-menu {   
        flex-direction: column;
        justify-content: flex-start;
        gap: 15px;
        position: relative;
        width: 100%;
        height: auto;
        background-color: white;
        padding: 20px 0 !important;
        border: 0;
        text-align: left;
margin-left: 20px;
    }

   /* .sub-mega-menu:hover > .dropdown-menu {
        display: flex !important;
    }*/

	.sub-mega-menu > .dropdown-menu { display: none; }
  li.sub-mega-menu.is-open > .dropdown-menu { display: flex !important; }
/*  .sub-mega-menu:hover > .dropdown-menu { display: none !important; }*/

li.sub-mega-menu.is-open > a {
  font-weight: bold;                 /* ou: font-family: 'GSN-Bold', sans-serif; si tu l’as */
  border-bottom: 1px solid black;    /* cohérent avec ton hover desktop */
}

    .navbar .navbar-collapse #menu-primary-menu li .dropdown-menu li a {
        line-height: 27px;
        font-size: 16px !important;
    }

    #menu-primary-menu li.sub-mega-menu .dropdown-menu .column-item {
        /*flex-basis: 100%;*/
    }

    #menu-primary-menu li.sub-mega-menu .dropdown-menu .column-item > a.nav-link {
        text-transform: uppercase !important;
        font-weight: bold;
        text-decoration: none;
        border-bottom: 0;
        cursor: initial;
        font-size: 17px !important;
        margin-top: 20px;
    }
#menu-primary-menu li.sub-mega-menu .dropdown-menu .column-item > a.nav-link:after {
	content: '\e912';
    	font-family: 'icomoon';
    	margin-left: 10px;
    	position: relative;
    	display: inline-block;          /* indispensable pour transform */
    	transform: rotate(0deg);
    	transition: transform .2s ease; /* animation douce */
    	will-change: transform;
}

#menu-primary-menu li.sub-mega-menu .dropdown-menu .column-item.isOpenMobile > a.nav-link:after {
    transform: rotate(90deg); /* ou 180deg selon le pictogramme */
  }

    #menu-primary-menu li.sub-mega-menu .dropdown-menu .column-item .dropdown-menu {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        gap: 0;
        box-shadow: none !important;
        padding: 12px 0;
	margin-left: 15px;
        text-align: left;
        position: relative;
        width: 100%;
        display: none;
    }

  /* Affiche quand le parent a la classe */
  #menu-primary-menu li.sub-mega-menu .dropdown-menu .column-item.isOpenMobile > .dropdown-menu {
    display: block;
  }

    .navbar .navbar-collapse #menu-primary-menu li.level-up > a {
        cursor: pointer;
        font-size: 20px !important;
        text-align: left;
    }
}

.navbar-toggler {
display: flex

}

.mega-menu-column .dropdown-menu {
    display: none;
}


